// Задача "Красивая таблица результатов"
// 10-ая Всероссийская командная олимпиада школьников по программированию
// Автор задачи:  Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

type
	int = longint;
const
	MAXN = 100;
	MAXX = 1000000000;
var
	n, m, i, ans, t, oldt : int;

begin
	reset(input, 'standing.in');
	rewrite(output, 'standing.out');
	
	read(n, m);
	assert((1 <= n) and (n <= MAXN));
	assert((1 <= m) and (m <= MAXX));
	
	ans := 0;
	oldt := m;
	for i := 1 to n do begin
		read(t);
		assert(oldt >= t);
		assert((0 <= t) and (t <= m));
		assert((t = 0) or (m mod t = 0));
		oldt := t;

		while (m mod (t + 1) = 0) do begin
			t := t + 1;
			ans := ans + 1;
		end;
	end;

	writeln(ans);	
end.
